Bug 219727 - [RHEL5] Libvirt support for automatically ballooning down dom0 when ballooning up a domU
[RHEL5] Libvirt support for automatically ballooning down dom0 when balloonin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On: 219724
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 17:43 EST by Chris Lalancette
Modified: 2008-06-23 17:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 17:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-12-14 17:43:53 EST
+++ This bug was initially created as a clone of Bug #219724 +++

Description of problem:
Now that domain ballooning works from a kernel/hypervisor perspective, it would
be nice if the tools were a little more accomodating for users.  In particular,
if you start a domain with the following in the config file:

maxmem = "512"
memory = "300"

you can balloon up the domU, but *only* if you first balloon down dom0
sufficiently.  You can successfully accomplish the balloon by running:

xm mem-set Domain-0 1024 (or whatever, freeing up enough memory from dom0)
xm mem-set domU 500

It would be nice if you could just use the virt-manager "Memory" screen to
increase the amount of memory to a domU, which would automatically balloon down
dom0 and balloon up domU.  I believe this requires some support from libvirt,
which is why I filed the bug against it; if it's really just a problem with
virt-manager, feel free to move to the right component.
Comment 1 Daniel Veillard 2007-03-27 10:03:51 EDT
I think those APIs are present in libvirt, basically
  virDomainSetMemory()
  http://libvirt.org/html/libvirt-libvirt.html#virDomainSetMemory
  Dynamically change the target amount of physical memory allocated to a domain.
   If domain is NULL, then this change the amount of memory reserved to Domain0
i.e. the domain where the application runs. This function may requires
priviledged access to the hypervisor.

W.r.t. the suggestion of using this in virt-manager, I think balooning works
when creating a new domain automatically, but I'm not sure what is done when one
resize it dynamically, so reassigning to virt-manager for confirmation.

Daniel
Comment 2 Cole Robinson 2008-06-23 17:06:53 EDT
This works in virt-manager and has for a while. Closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.